Base Module VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
Steinberg::Update Namespace Reference

## Typedefs
typedef std::deque< DeferedChange > | DeferedChangeList
typedef DeferedChangeList::const_iterator | DeferedChangeListIterConst
typedef DeferedChangeList::iterator | DeferedChangeListIter
typedef std::deque< UpdateData > | UpdateDataList
typedef UpdateDataList::const_iterator | UpdateDataListIterConst
typedef std::vector< IDependent * > | DependentList
typedef DependentList::iterator | DependentListIter
typedef DependentList::const_iterator | DependentListIterConst
typedef std::map< const FUnknown *, DependentList > | DependentMap
typedef DependentMap::iterator | DependentMapIter
typedef DependentMap::const_iterator | DependentMapIterConst

## Functions
uint32 | hashPointer (void *p)
IPtr< FUnknown > | getUnknownBase (FUnknown *unknown)
void | updateDone (FUnknown *unknown, int32 message)

## Variables
const uint32 | kHashSize = (1 << 8)
const uint32 | kMapSize = 1024 * 10

## Typedef Documentation

typedef std::deque<DeferedChange> DeferedChangeList

typedef DeferedChangeList::const_iterator DeferedChangeListIterConst

typedef DeferedChangeList::iterator DeferedChangeListIter

typedef std::deque<UpdateData> UpdateDataList

typedef UpdateDataList::const_iterator UpdateDataListIterConst

typedef std::vector<IDependent*> DependentList

typedef DependentList::iterator DependentListIter

typedef DependentList::const_iterator DependentListIterConst

typedef std::map<const FUnknown*, DependentList> DependentMap

typedef DependentMap::iterator DependentMapIter

typedef DependentMap::const_iterator DependentMapIterConst

## Function Documentation

uint32 Steinberg::Update::hashPointer | ( | void * | p | ) |
| inline

IPtr<FUnknown> Steinberg::Update::getUnknownBase | ( | FUnknown * | unknown | ) |
| inline

void Steinberg::Update::updateDone | ( | FUnknown * | unknown,
|  | int32 | message
| ) |  |

## Variable Documentation

const uint32 kHashSize = (1 << 8)

const uint32 kMapSize = 1024 * 10

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.